final class EngineSensor extends VehicleSensor{
    @Override
    void init() {
        System.out.println("EngineSensor, zainicjowany");
    }

    @Override
    protected void startMeasure() {
        System.out.println("EngineSensor, rozpoczęto pomiary");
    }

    @Override
    void storeData() {
        System.out.println("EngineSensor, dane zapisane");
    }

    @Override
    void stopMeasure() {
        System.out.println("EngineSensor, pomiary zatrzymane");
    }
}
